Subject: bug#36127: 26.1, openbsd-6.5; org-9.2.3 package fails to install

From: VanL <[email-masked]>
Date: Tue, 9 Jul 2019 22:56:16 +1000

> On 9 Jul 2019, at 22:12, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> I still don't quite understand -- you should be able to install the
> packages without having any of that stuff in init.el, surely?

I was able to install which-key and hyperbole, only.

> If I say "emacs -Q" and `M-x package-list-packages', I get "org" in the
> list, and I can install it.

I am able to reproduce the problem after relabelling ~/.emacs.d to ~/__dot__emacs.d and invoking 'emacs -Q' then 'M-x list-packages'.

In trying to install org-9.2.3, a question in a dialogue box asks for Yes or No answer to 

  Buffer " *http elpa.gnu.org:443* has a running process; kill it?"

I say Yes and the error message is

  Failed to verify signature: "org-9.2.3.tar.sig"

The error help buffer has...

--8<---------------cut here---------------start------------->8---
Failed to verify signature org-9.2.3.tar.sig:
Bad signature from 474F05837FBDEF9B GNU ELPA Signing Agent <[email-masked]>
Command output:
gpg: Signature made Thu Apr 25 09:12:24 2019 AEST using DSA key ID 7FBDEF9B
gpg: BAD signature from "GNU ELPA Signing Agent <[email-masked]>"
--8<---------------cut here---------------end--------------->8---